<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Array Cardio 💪💪</title>
    <link rel="icon" href="https://fav.farm/🔥" />
  </head>
  <body>
    <p><em>Psst: have a look at the JavaScript Console</em> 💁</p>
    <script>
      // ## Array Cardio Day 2

      const people = [
        { name: "Wes", year: 1988 },
        { name: "Kait", year: 1986 },
        { name: "Irv", year: 1970 },
        { name: "Lux", year: 2015 },
      ];

      const comments = [
        { text: "Love this!", id: 523423 },
        { text: "Super good", id: 823423 },
        { text: "You are the best", id: 2039842 },
        { text: "Ramen is my fav food ever", id: 123523 },
        { text: "Nice Nice Nice!", id: 542328 },
      ];

      // Some and Every Checks
      // Array.prototype.some() // is at least one person 19 or older?
      // (have to check whether atleast someone's age is >=19)?

      const adult = people.some(function (person) {
        const currentYear = new Date().getFullYear();
        if (currentYear - person.year >= 19) {
          return true;
        }
      });

      console.log(adult);

      // Array.prototype.every() // is everyone 19 or older (have to check whether everyone's age is >=19)

      const isAdult = people.every(function (person) {
        const currentYear = new Date().getFullYear();
        if (currentYear - person.year >= 19) {
          return true;
        }
      });

      console.log('isAdult-',isAdult);

      // Array.prototype.find()
      // Find is like filter, but instead returns just the one you are looking for
      // find the comment with the ID of 823423

      const comment = comments.find(function (comment) {
        if (comment.id === 823423) {
            return true
        }
      });

      console.log(comment);

      // Array.prototype.findIndex()

      const findIndexOfComment = comments.findIndex(function (comment) {
        if (comment.id === 823423) {
            return true
        }
      });

      console.log('findIndexOfComment-',findIndexOfComment);

      // Find the comment with this ID
      // delete the comment with the ID of 823423

      console.table(comments);
      const commentToDelete = comments.findIndex(comment => comment.id === 823423);

      const indexToDelete = comments.findIndex(comment => comment.id === 823423);


      if (indexToDelete !== -1) {
        // const indexToDelete = comments.indexOf(commentToDelete);
        // comments.splice(indexToDelete, 1)
        comments.splice(indexToDelete, 1);

      }

      console.table(comments);
    </script>
  </body>
</html>
